unit schVentasTerminadasServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schVentasTerminadasClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_VentasTerminadasCrossTabDelta = '{D69FBA64-6F9E-4850-A61A-B1D060E04006}';
  RID_VentasTerminadasDelta = '{B705B6A2-C1E0-4936-830A-D1375D7F9F49}';

type
  { IVentasTerminadasCrossTabDelta }
  IVentasTerminadasCrossTabDelta = interface(IVentasTerminadasCrossTab)
  ['{D69FBA64-6F9E-4850-A61A-B1D060E04006}']
    { Property getters and setters }

    { Properties }
  end;

  { TVentasTerminadasCrossTabBusinessProcessorRules }
  TVentasTerminadasCrossTabBusinessProcessorRules = class(TDABusinessProcessorRules, IVentasTerminadasCrossTab, IVentasTerminadasCrossTabDelta)
  private
  protected
    { Property getters and setters }

    { Properties }

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IVentasTerminadasDelta }
  IVentasTerminadasDelta = interface(IVentasTerminadas)
  ['{B705B6A2-C1E0-4936-830A-D1375D7F9F49}']
    { Property getters and setters }
    function GetOldNUMINFValue : String;
    function GetOldCLAVE1Value : Float;
    function GetOldCLAVE2Value : Integer;
    function GetOldCLAVE3Value : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldDIAValue : Integer;
    function GetOldDIASEMANAValue : String;
    function GetOldMESValue : String;
    function GetOldANOValue : Integer;
    function GetOldCENTROValue : String;
    function GetOldVENDEDORValue : String;
    function GetOldNUMTALONValue : String;
    function GetOldCODIGOValue : String;
    function GetOldPRODUCTOValue : String;
    function GetOldGRUPOPRODUCTOValue : String;
    function GetOldTIPOPRODUCTOValue : String;
    function GetOldCOLECCIONValue : String;
    function GetOldCOLORValue : String;
    function GetOldTALLAValue : String;
    function GetOldTALLA38Value : Float;
    function GetOldTALLA40Value : Float;
    function GetOldTALLA42Value : Float;
    function GetOldTALLA44Value : Float;
    function GetOldTALLA46Value : Float;
    function GetOldTALLA48Value : Float;
    function GetOldVTATERMDEVValue : Float;
    function GetOldVTAFINALRESCValue : Float;
    function GetOldVENTASValue : Float;
    function GetOldDEVOLUCIONESValue : Float;
    function GetOldTOTALValue : Float;
    function GetOldVALTERMDEVValue : Float;
    function GetOldVALFINALRESCValue : Float;
    function GetOldVALVENValue : Float;
    function GetOldVALDEVValue : Float;
    function GetOldVALTOTValue : Float;

    { Properties }
    property OldNUMINF : String read GetOldNUMINFValue;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldDIA : Integer read GetOldDIAValue;
    property OldDIASEMANA : String read GetOldDIASEMANAValue;
    property OldMES : String read GetOldMESValue;
    property OldANO : Integer read GetOldANOValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property OldGRUPOPRODUCTO : String read GetOldGRUPOPRODUCTOValue;
    property OldTIPOPRODUCTO : String read GetOldTIPOPRODUCTOValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property OldTALLA : String read GetOldTALLAValue;
    property OldTALLA38 : Float read GetOldTALLA38Value;
    property OldTALLA40 : Float read GetOldTALLA40Value;
    property OldTALLA42 : Float read GetOldTALLA42Value;
    property OldTALLA44 : Float read GetOldTALLA44Value;
    property OldTALLA46 : Float read GetOldTALLA46Value;
    property OldTALLA48 : Float read GetOldTALLA48Value;
    property OldVTATERMDEV : Float read GetOldVTATERMDEVValue;
    property OldVTAFINALRESC : Float read GetOldVTAFINALRESCValue;
    property OldVENTAS : Float read GetOldVENTASValue;
    property OldDEVOLUCIONES : Float read GetOldDEVOLUCIONESValue;
    property OldTOTAL : Float read GetOldTOTALValue;
    property OldVALTERMDEV : Float read GetOldVALTERMDEVValue;
    property OldVALFINALRESC : Float read GetOldVALFINALRESCValue;
    property OldVALVEN : Float read GetOldVALVENValue;
    property OldVALDEV : Float read GetOldVALDEVValue;
    property OldVALTOT : Float read GetOldVALTOTValue;
  end;

  { TVentasTerminadasBusinessProcessorRules }
  TVentasTerminadasBusinessProcessorRules = class(TDABusinessProcessorRules, IVentasTerminadas, IVentasTerminadasDelta)
  private
  protected
    { Property getters and setters }
    function GetNUMINFValue: String; virtual;
    function GetOldNUMINFValue: String; virtual;
    procedure SetNUMINFValue(const aValue: String); virtual;
    function GetCLAVE1Value: Float; virtual;
    function GetOldCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Integer; virtual;
    function GetOldCLAVE2Value: Integer; virtual;
    procedure SetCLAVE2Value(const aValue: Integer); virtual;
    function GetCLAVE3Value: Integer; virtual;
    function GetOldCLAVE3Value: Integer; virtual;
    procedure SetCLAVE3Value(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetDIAValue: Integer; virtual;
    function GetOldDIAValue: Integer; virtual;
    procedure SetDIAValue(const aValue: Integer); virtual;
    function GetDIASEMANAValue: String; virtual;
    function GetOldDIASEMANAValue: String; virtual;
    procedure SetDIASEMANAValue(const aValue: String); virtual;
    function GetMESValue: String; virtual;
    function GetOldMESValue: String; virtual;
    procedure SetMESValue(const aValue: String); virtual;
    function GetANOValue: Integer; virtual;
    function GetOldANOValue: Integer; virtual;
    procedure SetANOValue(const aValue: Integer); virtual;
    function GetCENTROValue: String; virtual;
    function GetOldCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetVENDEDORValue: String; virtual;
    function GetOldVENDEDORValue: String; virtual;
    procedure SetVENDEDORValue(const aValue: String); virtual;
    function GetNUMTALONValue: String; virtual;
    function GetOldNUMTALONValue: String; virtual;
    procedure SetNUMTALONValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    function GetOldCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    function GetOldPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetGRUPOPRODUCTOValue: String; virtual;
    function GetOldGRUPOPRODUCTOValue: String; virtual;
    procedure SetGRUPOPRODUCTOValue(const aValue: String); virtual;
    function GetTIPOPRODUCTOValue: String; virtual;
    function GetOldTIPOPRODUCTOValue: String; virtual;
    procedure SetTIPOPRODUCTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    function GetOldCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    function GetOldCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetTALLAValue: String; virtual;
    function GetOldTALLAValue: String; virtual;
    procedure SetTALLAValue(const aValue: String); virtual;
    function GetTALLA38Value: Float; virtual;
    function GetOldTALLA38Value: Float; virtual;
    procedure SetTALLA38Value(const aValue: Float); virtual;
    function GetTALLA40Value: Float; virtual;
    function GetOldTALLA40Value: Float; virtual;
    procedure SetTALLA40Value(const aValue: Float); virtual;
    function GetTALLA42Value: Float; virtual;
    function GetOldTALLA42Value: Float; virtual;
    procedure SetTALLA42Value(const aValue: Float); virtual;
    function GetTALLA44Value: Float; virtual;
    function GetOldTALLA44Value: Float; virtual;
    procedure SetTALLA44Value(const aValue: Float); virtual;
    function GetTALLA46Value: Float; virtual;
    function GetOldTALLA46Value: Float; virtual;
    procedure SetTALLA46Value(const aValue: Float); virtual;
    function GetTALLA48Value: Float; virtual;
    function GetOldTALLA48Value: Float; virtual;
    procedure SetTALLA48Value(const aValue: Float); virtual;
    function GetVTATERMDEVValue: Float; virtual;
    function GetOldVTATERMDEVValue: Float; virtual;
    procedure SetVTATERMDEVValue(const aValue: Float); virtual;
    function GetVTAFINALRESCValue: Float; virtual;
    function GetOldVTAFINALRESCValue: Float; virtual;
    procedure SetVTAFINALRESCValue(const aValue: Float); virtual;
    function GetVENTASValue: Float; virtual;
    function GetOldVENTASValue: Float; virtual;
    procedure SetVENTASValue(const aValue: Float); virtual;
    function GetDEVOLUCIONESValue: Float; virtual;
    function GetOldDEVOLUCIONESValue: Float; virtual;
    procedure SetDEVOLUCIONESValue(const aValue: Float); virtual;
    function GetTOTALValue: Float; virtual;
    function GetOldTOTALValue: Float; virtual;
    procedure SetTOTALValue(const aValue: Float); virtual;
    function GetVALTERMDEVValue: Float; virtual;
    function GetOldVALTERMDEVValue: Float; virtual;
    procedure SetVALTERMDEVValue(const aValue: Float); virtual;
    function GetVALFINALRESCValue: Float; virtual;
    function GetOldVALFINALRESCValue: Float; virtual;
    procedure SetVALFINALRESCValue(const aValue: Float); virtual;
    function GetVALVENValue: Float; virtual;
    function GetOldVALVENValue: Float; virtual;
    procedure SetVALVENValue(const aValue: Float); virtual;
    function GetVALDEVValue: Float; virtual;
    function GetOldVALDEVValue: Float; virtual;
    procedure SetVALDEVValue(const aValue: Float); virtual;
    function GetVALTOTValue: Float; virtual;
    function GetOldVALTOTValue: Float; virtual;
    procedure SetVALTOTValue(const aValue: Float); virtual;

    { Properties }
    property NUMINF : String read GetNUMINFValue write SetNUMINFValue;
    property OldNUMINF : String read GetOldNUMINFValue;
    property CLAVE1 : Float read GetCLAVE1Value write SetCLAVE1Value;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property CLAVE2 : Integer read GetCLAVE2Value write SetCLAVE2Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property CLAVE3 : Integer read GetCLAVE3Value write SetCLAVE3Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property DIA : Integer read GetDIAValue write SetDIAValue;
    property OldDIA : Integer read GetOldDIAValue;
    property DIASEMANA : String read GetDIASEMANAValue write SetDIASEMANAValue;
    property OldDIASEMANA : String read GetOldDIASEMANAValue;
    property MES : String read GetMESValue write SetMESValue;
    property OldMES : String read GetOldMESValue;
    property ANO : Integer read GetANOValue write SetANOValue;
    property OldANO : Integer read GetOldANOValue;
    property CENTRO : String read GetCENTROValue write SetCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property VENDEDOR : String read GetVENDEDORValue write SetVENDEDORValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property NUMTALON : String read GetNUMTALONValue write SetNUMTALONValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property CODIGO : String read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property PRODUCTO : String read GetPRODUCTOValue write SetPRODUCTOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property GRUPOPRODUCTO : String read GetGRUPOPRODUCTOValue write SetGRUPOPRODUCTOValue;
    property OldGRUPOPRODUCTO : String read GetOldGRUPOPRODUCTOValue;
    property TIPOPRODUCTO : String read GetTIPOPRODUCTOValue write SetTIPOPRODUCTOValue;
    property OldTIPOPRODUCTO : String read GetOldTIPOPRODUCTOValue;
    property COLECCION : String read GetCOLECCIONValue write SetCOLECCIONValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property COLOR : String read GetCOLORValue write SetCOLORValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property TALLA : String read GetTALLAValue write SetTALLAValue;
    property OldTALLA : String read GetOldTALLAValue;
    property TALLA38 : Float read GetTALLA38Value write SetTALLA38Value;
    property OldTALLA38 : Float read GetOldTALLA38Value;
    property TALLA40 : Float read GetTALLA40Value write SetTALLA40Value;
    property OldTALLA40 : Float read GetOldTALLA40Value;
    property TALLA42 : Float read GetTALLA42Value write SetTALLA42Value;
    property OldTALLA42 : Float read GetOldTALLA42Value;
    property TALLA44 : Float read GetTALLA44Value write SetTALLA44Value;
    property OldTALLA44 : Float read GetOldTALLA44Value;
    property TALLA46 : Float read GetTALLA46Value write SetTALLA46Value;
    property OldTALLA46 : Float read GetOldTALLA46Value;
    property TALLA48 : Float read GetTALLA48Value write SetTALLA48Value;
    property OldTALLA48 : Float read GetOldTALLA48Value;
    property VTATERMDEV : Float read GetVTATERMDEVValue write SetVTATERMDEVValue;
    property OldVTATERMDEV : Float read GetOldVTATERMDEVValue;
    property VTAFINALRESC : Float read GetVTAFINALRESCValue write SetVTAFINALRESCValue;
    property OldVTAFINALRESC : Float read GetOldVTAFINALRESCValue;
    property VENTAS : Float read GetVENTASValue write SetVENTASValue;
    property OldVENTAS : Float read GetOldVENTASValue;
    property DEVOLUCIONES : Float read GetDEVOLUCIONESValue write SetDEVOLUCIONESValue;
    property OldDEVOLUCIONES : Float read GetOldDEVOLUCIONESValue;
    property TOTAL : Float read GetTOTALValue write SetTOTALValue;
    property OldTOTAL : Float read GetOldTOTALValue;
    property VALTERMDEV : Float read GetVALTERMDEVValue write SetVALTERMDEVValue;
    property OldVALTERMDEV : Float read GetOldVALTERMDEVValue;
    property VALFINALRESC : Float read GetVALFINALRESCValue write SetVALFINALRESCValue;
    property OldVALFINALRESC : Float read GetOldVALFINALRESCValue;
    property VALVEN : Float read GetVALVENValue write SetVALVENValue;
    property OldVALVEN : Float read GetOldVALVENValue;
    property VALDEV : Float read GetVALDEVValue write SetVALDEVValue;
    property OldVALDEV : Float read GetOldVALDEVValue;
    property VALTOT : Float read GetVALTOTValue write SetVALTOTValue;
    property OldVALTOT : Float read GetOldVALTOTValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TVentasTerminadasCrossTabBusinessProcessorRules }
constructor TVentasTerminadasCrossTabBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TVentasTerminadasCrossTabBusinessProcessorRules.Destroy;
begin
  inherited;
end;


{ TVentasTerminadasBusinessProcessorRules }
constructor TVentasTerminadasBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TVentasTerminadasBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TVentasTerminadasBusinessProcessorRules.GetNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasNUMINF];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasNUMINF];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetNUMINFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasNUMINF] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCLAVE1];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasCLAVE1];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetCLAVE1Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCLAVE1] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCLAVE2];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasCLAVE2];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetCLAVE2Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCLAVE2] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCLAVE3];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasCLAVE3];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetCLAVE3Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCLAVE3] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasFECHA];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasFECHA];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasFECHA] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetDIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasDIA];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldDIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasDIA];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetDIAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasDIA] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetDIASEMANAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasDIASEMANA];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldDIASEMANAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasDIASEMANA];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetDIASEMANAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasDIASEMANA] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetMESValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasMES];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldMESValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasMES];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetMESValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasMES] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetANOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasANO];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldANOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasANO];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetANOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasANO] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCENTRO];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasCENTRO];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCENTRO] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVENDEDOR];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVENDEDOR];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVENDEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVENDEDOR] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasNUMTALON];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasNUMTALON];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetNUMTALONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasNUMTALON] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCODIGO];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasCODIGO];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetCODIGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCODIGO] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasPRODUCTO];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasPRODUCTO];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasPRODUCTO] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetGRUPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasGRUPOPRODUCTO];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldGRUPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasGRUPOPRODUCTO];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetGRUPOPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasGRUPOPRODUCTO] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTIPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTIPOPRODUCTO];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTIPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTIPOPRODUCTO];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTIPOPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTIPOPRODUCTO] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCOLECCION];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasCOLECCION];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetCOLECCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCOLECCION] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCOLOR];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasCOLOR];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetCOLORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasCOLOR] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTALLAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTALLAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTALLA];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTALLAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTALLA38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA38];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTALLA38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTALLA38];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTALLA38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA38] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTALLA40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA40];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTALLA40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTALLA40];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTALLA40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA40] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTALLA42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA42];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTALLA42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTALLA42];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTALLA42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA42] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTALLA44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA44];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTALLA44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTALLA44];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTALLA44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA44] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTALLA46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA46];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTALLA46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTALLA46];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTALLA46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA46] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTALLA48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA48];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTALLA48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTALLA48];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTALLA48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTALLA48] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVTATERMDEVValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVTATERMDEV];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVTATERMDEVValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVTATERMDEV];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVTATERMDEVValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVTATERMDEV] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVTAFINALRESCValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVTAFINALRESC];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVTAFINALRESCValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVTAFINALRESC];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVTAFINALRESCValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVTAFINALRESC] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVENTASValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVENTAS];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVENTASValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVENTAS];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVENTASValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVENTAS] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetDEVOLUCIONESValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasDEVOLUCIONES];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldDEVOLUCIONESValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasDEVOLUCIONES];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetDEVOLUCIONESValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasDEVOLUCIONES] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetTOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTOTAL];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldTOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasTOTAL];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetTOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasTOTAL] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVALTERMDEVValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALTERMDEV];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVALTERMDEVValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVALTERMDEV];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVALTERMDEVValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALTERMDEV] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVALFINALRESCValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALFINALRESC];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVALFINALRESCValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVALFINALRESC];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVALFINALRESCValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALFINALRESC] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVALVENValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALVEN];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVALVENValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVALVEN];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVALVENValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALVEN] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVALDEVValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALDEV];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVALDEVValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVALDEV];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVALDEVValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALDEV] := aValue;
end;

function TVentasTerminadasBusinessProcessorRules.GetVALTOTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALTOT];
end;

function TVentasTerminadasBusinessProcessorRules.GetOldVALTOTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasTerminadasVALTOT];
end;

procedure TVentasTerminadasBusinessProcessorRules.SetVALTOTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasTerminadasVALTOT] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_VentasTerminadasCrossTabDelta, TVentasTerminadasCrossTabBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_VentasTerminadasDelta, TVentasTerminadasBusinessProcessorRules);

end.
